
function dump(tab, ident)
  
  if ident == nil then ident = 0 end  
  for k,v in pairs(tab) do
    local str = ""
    for i=1,ident + 1 do
      str = str.." "
    end
    str = tostring(k)
    if type(v) == "table" then
      print(str,"{")
      dump(v, ident+1)
      print("}")
    else    
      print(str, "=", tostring(v))
    end    
  end
end


function EditorStarted()
  UI:StopGUI() -- hide user interface
end

local functions
local seen={}
function functions(p,t)
        seen[t]=true
        for k,v in pairs(t) do
                if type(v)=="function" then
                        print(p..k)
                elseif type(v)=="table" and not seen[v] then
                        functions(k..".",v)
                end
        end
end